Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Interface JDBCFetchPlan

All Superinterfaces:
  EagerFetchModes, FetchPlan, JoinSyntaxes, LRSSizes

All Known Implementing Classes:
  JDBCFetchPlanImpl

    public interface JDBCFetchPlan

extends FetchPlan, EagerFetchModes, LRSSizes, JoinSyntaxes

JDBC extensions to the fetch plan.

Since:
  0.4.1
Author:
  Abe White, Pinaki Poddar

Field Summary

Fields inherited from interface org.apache.openjpa.persistence.FetchPlan
`DEFAULT, DEPTH_INFINITE, GROUP_ALL, GROUP_DEFAULT`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.EagerFetchModes
`EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface org.apache.openjpa.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Method Summary
`int` | `getEagerFetchMode()` Eager fetch mode in loading relations.
`int` | `getFetchDirection()` Result set fetch direction.
`int` | `getJoinSyntax()` SQL join syntax.
`int` | `getLRSSize()` How to determine the size of a large result set.
`int` | `getResultSetType()` Type of JDBC result set to use for query results.
`int` | `getSubclassFetchMode()` Eager fetch mode in loading subclasses.
`JDBCFetchPlan` | `setEagerFetchMode(int mode)` Eager fetch mode in loading relations.
`JDBCFetchPlan` | `setFetchDirection(int direction)` Result set fetch direction.
`JDBCFetchPlan` | `setJoinSyntax(int syntax)` SQL join syntax.
`JDBCFetchPlan` | `setLRSSize(int lrsSize)` How to determine the size of a large result set.
`JDBCFetchPlan` | `setResultSetType(int type)` Type of JDBC result set to use for query results.
`JDBCFetchPlan` | `setSubclassFetchMode(int mode)` Eager fetch mode in loading subclasses.

Methods inherited from interface org.apache.openjpa.persistence.FetchPlan
`addFetchGroup, addFetchGroups, addFetchGroups, addField, addField, addFields, addFields, addFields, addFields, clearFetchGroups, clearFields, getDelegate, getFetchBatchSize, getFetchGroups, getFields, getLockTimeout, getMaxFetchDepth, getQueryResultCache, getReadLockMode, getWriteLockMode, hasField, hasField, removeFetchGroup, removeFetchGroups, removeFetchGroups, removeField, removeField, removeFields, removeFields, removeFields, removeFields, resetFetchGroups, setFetchBatchSize, setLockTimeout, setMaxFetchDepth, setQueryResultCache, setReadLockMode, setWriteLockMode`

Method Detail

### getEagerFetchMode

    int getEagerFetchMode()

  Eager fetch mode in loading relations.

  See Also:
    `EagerFetchModes`

### setEagerFetchMode

    JDBCFetchPlan setEagerFetchMode(int mode)

  Eager fetch mode in loading relations.

  See Also:
    `EagerFetchModes`

### getSubclassFetchMode

    int getSubclassFetchMode()

  Eager fetch mode in loading subclasses.

  See Also:
    `EagerFetchModes`

### setSubclassFetchMode

    JDBCFetchPlan setSubclassFetchMode(int mode)

  Eager fetch mode in loading subclasses.

  See Also:
    `EagerFetchModes`

### getResultSetType

    int getResultSetType()

  Type of JDBC result set to use for query results.

  See Also:
    `ResultSet`

### setResultSetType

    JDBCFetchPlan setResultSetType(int type)

  Type of JDBC result set to use for query results.

  See Also:
    `ResultSet`

### getFetchDirection

    int getFetchDirection()

  Result set fetch direction.

  See Also:
    `ResultSet`

### setFetchDirection

    JDBCFetchPlan setFetchDirection(int direction)

  Result set fetch direction.

  See Also:
    `ResultSet`

### getLRSSize

    int getLRSSize()

  How to determine the size of a large result set.

  See Also:
    `LRSSizes`

### setLRSSize

    JDBCFetchPlan setLRSSize(int lrsSize)

  How to determine the size of a large result set.

  See Also:
    `LRSSizes`

### getJoinSyntax

    int getJoinSyntax()

  SQL join syntax.

  See Also:
    `JoinSyntaxes`

### setJoinSyntax

    JDBCFetchPlan setJoinSyntax(int syntax)

  SQL join syntax.

  See Also:
    `JoinSyntaxes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.